%define upstream_name    Git-Repository
%define upstream_version 1.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to Git repositories 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(System::Command) >= 1.10.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Git::Repository is a Perl interface to Git, for scripted interactions
with repositories. It's a low-level interface that allows calling any
Git command, whether porcelain or plumbing, including bidirectional
commands such as git commit-tree.

A Git::Repository object simply provides context to the git commands
being run. It is possible to call the command() and run() methods
against the class itself, and the context (typically current working
directory) will be obtained from the options and environment.

As a low-level interface, it provides no sugar for particular Git
commands. Specifically, it will not prepare environment variables that
individual Git commands may need or use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Jan 09 2012 jquelin <jquelin> 1.250.0-1.mga2
+ Revision: 193847
- update to 1.25

* Sun Dec 04 2011 kharec <kharec> 1.230.0-1.mga2
+ Revision: 176176
- update to 1.23

* Mon Sep 26 2011 jquelin <jquelin> 1.220.0-2.mga2
+ Revision: 148430
- fix summary & description

* Mon Sep 26 2011 jquelin <jquelin> 1.220.0-1.mga2
+ Revision: 148079
- update to 1.22
- imported package perl-Git-Repository


* Fri Aug 26 2011 cpan2dist 1.21-1mga
- initial mageia release, generated with cpan2dist
